ruby

deprecated
Camptocamp Ruby Module

Camptocamp

camptocamp

73,285 downloads

56,154 latest version

4.6 quality score

Version information

  • 1.1.11 (latest)
  • 1.1.10
  • 1.1.9
  • 1.1.8
  • 1.1.7
  • 1.1.6
  • 1.1.5
  • 1.1.4
  • 1.1.3
  • 1.1.2
  • 1.1.1
  • 1.1.0
  • 1.0.8
  • 1.0.7
  • 1.0.6
  • 1.0.5
  • 1.0.4
  • 1.0.3
  • 1.0.2
  • 1.0.1
  • 1.0.0
  • 0.1.2
  • 0.1.1
  • 0.1.0
  • 0.0.1
released Jun 26th 2015
This version is compatible with:
  • Debian
    ,
    Ubuntu
    ,
    CentOS
    ,
    RedHat
This module has been deprecated by its author since Feb 10th 2021.

The reason given was: No longer maintained

The author has suggested puppetlabs-ruby as its replacement.

Start using this module

Tags: ruby

Documentation

camptocamp/ruby — version 1.1.11 Jun 26th 2015

Ruby Puppet Module

Puppet Forge Build Status

This module manages Ruby and RubyGems on Debian/Redhat based systems.

Basic usage

This module contains a set of classes that declare Ruby libraries (package or gem) in the form of virtual resources. Wherever a library is needed you just have to write the following lines:

include ruby::package::json
Package <| alias == 'ruby-json' |>

If you prefer gem packages:

include ruby::gems
include ruby::gem::json
Package <| alias == 'ruby-json' |>

Due to a bug (http://projects.puppetlabs.com/issues/4459) resource alias is only usable for require. For example:

realize Package[ruby-json]

doesn't work! This is why we use the "spaceship" (collection) operator.

Dependencies

This module depends on:

Contributing

Please report bugs and feature request using GitHub issue tracker.

For pull requests, it is very much appreciated to check your Puppet manifest with puppet-lint to follow the recommended Puppet style guidelines from the Puppet Labs style guide.

License

Copyright (c) 2013 puppet@camptocamp.com All rights reserved.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.